cpw.mods.fml.common

## Class ILanguageAdapter.JavaAdapter

- java.lang.Object
- - cpw.mods.fml.common.ILanguageAdapter.JavaAdapter

- All Implemented Interfaces:
    ILanguageAdapter
  Enclosing interface:
    ILanguageAdapter

      public static class ILanguageAdapter.JavaAdapter
      extends Object
      implements ILanguageAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface cpw.mods.fml.common.ILanguageAdapter

      `ILanguageAdapter.JavaAdapter, ILanguageAdapter.ScalaAdapter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ILanguageAdapter.JavaAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getNewInstance(FMLModContainer container, Class<?> objectClass, ClassLoader classLoader)`
    `void` | `setInternalProxies(ModContainer mod, Side side, ClassLoader loader)`
    `void` | `setProxy(Field target, Class<?> proxyTarget, Object proxy)`
    `boolean` | `supportsStatics()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ILanguageAdapter.JavaAdapter

          public ILanguageAdapter.JavaAdapter()

  - ### Method Detail

    - #### getNewInstance

          public Object getNewInstance(FMLModContainer container,
                              Class<?> objectClass,
                              ClassLoader classLoader)
                                throws Exception

      Specified by:
        `getNewInstance` in interface `ILanguageAdapter`
      Throws:
        `Exception`

    - #### supportsStatics

          public boolean supportsStatics()

      Specified by:
        `supportsStatics` in interface `ILanguageAdapter`

    - #### setProxy

          public void setProxy(Field target,
                      Class<?> proxyTarget,
                      Object proxy)
                        throws IllegalArgumentException,
                               IllegalAccessException,
                               NoSuchFieldException,
                               SecurityException

      Specified by:
        `setProxy` in interface `ILanguageAdapter`
      Throws:
        `IllegalArgumentException`
        `IllegalAccessException`
        `NoSuchFieldException`
        `SecurityException`

    - #### setInternalProxies

          public void setInternalProxies(ModContainer mod,
                                Side side,
                                ClassLoader loader)

      Specified by:
        `setInternalProxies` in interface `ILanguageAdapter`